Skip to main content
GET
/
buckets
/
{bucketId}
Get the details of a bucket.
curl --request GET \
  --url https://atlantic.api.herodotus.cloud/buckets/{bucketId}
{
  "bucket": {
    "id": "<string>",
    "externalId": "<string>",
    "aggregatorParams": "<string>",
    "nodeWidth": -1,
    "leaves": -1,
    "mockProof": true,
    "projectId": "<string>",
    "createdByClient": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "queries": [
    {
      "id": "<string>",
      "externalId": "<string>",
      "dedupId": "<string>",
      "transactionId": "<string>",
      "step": "<string>",
      "programHash": "<string>",
      "integrityFactHash": "<string>",
      "sharpFactHash": "<string>",
      "layout": "<string>",
      "isFactMocked": true,
      "isProofMocked": true,
      "steps": [
        "<string>"
      ],
      "errorReason": "<string>",
      "submittedByClient": "<string>",
      "projectId": "<string>",
      "submittedByWallet": "<string>",
      "bucketId": "<string>",
      "bucketJobIndex": -1,
      "customerName": "<string>",
      "isJobSizeValid": true,
      "retryCount": -1,
      "createdAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

bucketId
string
required

Response

Default Response

bucket
object
required
queries
object[]
required